MatrixDeleteRowsCommand Class Reference

`#include <MatrixCommand.h>`

Inheritance diagram for MatrixDeleteRowsCommand:

## Public Member Functions

| MatrixDeleteRowsCommand (MatrixModel *model, int startRow, int count, double *data, const QString &text)
virtual void | redo ()
virtual void | undo ()
| ~MatrixDeleteRowsCommand ()

## Private Attributes

int | d_count
double * | d_data
MatrixModel * | d_model
int | d_start_row

## Constructor & Destructor Documentation

## MatrixDeleteRowsCommand()

MatrixDeleteRowsCommand::MatrixDeleteRowsCommand | ( | MatrixModel * | model,
|  | int | startRow,
|  | int | count,
|  | double * | data,
|  | const QString & | text
| ) |  |

References MatrixModel::matrix().

## ~MatrixDeleteRowsCommand()

MatrixDeleteRowsCommand::~MatrixDeleteRowsCommand | ( |  | ) |

inline

References MatrixEditCellCommand::redo(), and MatrixEditCellCommand::undo().

## Member Function Documentation

## redo()

void MatrixDeleteRowsCommand::redo | ( |  | ) |

virtual

References d_count, d_model, d_start_row, and MatrixModel::removeRows().

## undo()

void MatrixDeleteRowsCommand::undo | ( |  | ) |

virtual

References MatrixModel::columnCount(), d_count, d_data, d_model, d_start_row, MatrixModel::dataVector(), and MatrixModel::insertRows().

## Member Data Documentation

## d_count

int MatrixDeleteRowsCommand::d_count

private

Referenced by redo(), and undo().

## d_data

double* MatrixDeleteRowsCommand::d_data

private

Referenced by undo().

## d_model

MatrixModel* MatrixDeleteRowsCommand::d_model

private

Referenced by redo(), and undo().

## d_start_row

int MatrixDeleteRowsCommand::d_start_row

private

Referenced by redo(), and undo().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/MatrixCommand.h
- qtiplot/src/matrix/MatrixCommand.cpp